### Method

# Gck Builder copy

#### Declaration [src]

    GckBuilder*
    gck_builder_copy (
      GckBuilder* builder
    )

#### Description [src]

Make a copy of the builder and its state. The new builder is allocated with `gck_builder_new()` and should be freed with gck_builder_unref().

Attribute value memory is automatically shared between the two builders, and is only freed when both are gone.

#### Return value

Type: `GckBuilder`

The builder copy, which should be freed with gck_builder_unref().

The caller of the method takes ownership of the data, and is responsible for freeing it.